<!-- <form [formGroup]="carForm" (ngSubmit)="onSubmit()">
  <div class="form-group">
      <div class="formcontrol">
        <mat-form-field>
            <input matInput type='text' name='text' formControlName="carname" placeholder='Car Name'>
            <mat-error *ngIf="carForm.invalid">FirstName is required</mat-error>
          </mat-form-field>
      </div>
  </div>

  <div class="form-group">
      <button mat-raised-button color="primary" class="btn btn-primary">Submit</button>
      <button (click)='reset(formDirective)' mat-raised-button color="primary" class="btn btn-primary">Reset</button>
  </div>
</form> -->

<ng-template dynamic-comp></ng-template>